/*  banner
========================================================================*/

.k26_banner {
    position: relative;
}
.k26_banner > div {
    display: flex;
    flex-direction: row-reverse;
}
.k26_banner .image {
    width: 687px;
    overflow: hidden !important;
}
.k26_banner .textbox {
    width: calc(100% - 687px);
    transition: all .3s;
    cursor: pointer;
}
.k26_banner .textbox > div {
    width: calc(100% - 65px);
    margin-right: auto;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
}
.k26_banner .title {
    font-weight: bold;
    font-size: 24px;
    letter-spacing: 0.03em;
}
.k26_banner .text:not(:first-child) {
    margin-top: 16px;
}
.k26_banner .textbox .text {
    letter-spacing: 0.03em;
    line-height: 1.8;
    /* padding-right: 40px; */
    font-size: 16px;
}
.k26_banner .textbox .text a {
    display: block;
    padding-right: 40px;
}
.k26_banner .textbox .title a {
    display: inline-block;
    padding-right: 40px;
}
.pbPage:not(.edit) .k26_banner .textbox .text a:before,
.pbPage:not(.edit) .k26_banner .textbox .title a:before{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.k26_banner .textbox .text a {
    background: url(/kodate/ideas/assets/img2/ic_blank.svg) right center /auto no-repeat;
}
.k26_banner .textbox .title a {
    background: url(/kodate/ideas/assets/img2/ic_blank_white.svg) right center/auto no-repeat;
}

@media (min-width: 768px) {
    .k26_banner:hover .textbox {
        opacity: 0.6;
    }
    .k26_banner:hover .image img {
        transform: scale(1.04);
    }
}

@media screen and (max-width: 767px) {
    .k26_banner > div {
        display: flex;
        flex-direction: column;
    }
    .k26_banner .textbox {
        width: 100%;
    }
    .k26_banner .textbox > div {
        width: 100%;
    }
    .k26_banner:not(.full) .image {
        width: 100%;
        margin-top: 16px;
    }
    .k26_banner .image.wide-sp {
        width: calc(100% + 32px);
        margin: 16px -16px 0 -16px;
    }
    .k26_banner .textbox .text a,
    .k26_banner .textbox .title a {
        padding-right: 30px;
    }
    .k26_banner .textbox .text a {
        width: 100%;
    }
    .k26_banner .title {
        font-size: 20px;
        text-align: center;
    }
    .k26_banner .textbox .text {
        font-size: 14px;
        line-height: 1.5;
    }
}

/*  full
------------------------------------------------*/

.k26_banner.full {
    position: relative;
}
.k26_banner.full > div {
    display: flex;
    align-items: center;
    position: relative;
    justify-content: flex-end;
}
.k26_banner.full .image {
    width: 100%;
}
.k26_banner.full .textbox {
    position: absolute;
    padding: 30px;
    height: 100%;
}
.pbPage:not(.edit) .k26_banner.full .textbox {
    width: 100%;
}
.k26_banner.full .textbox > div {
    width: 100%;
}
.k26_banner.full .title  {
    color: #fff;
    text-align: left;
}
.pbPage:not(.edit) .k26_banner.full .title a:before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

@media screen and (max-width: 767px) {
    .k26_banner.full .textbox {
        padding: 30px;
    }
    .k26_banner.full .title {
        font-size: 17px;
    }
    .k26_banner.full .title a  {
        display: block;
    }
    .k26_banner.full .title a:after {
        right: 0;
    }
}